Redmine - Feature #14275

Add hinting to custom fields
2013-06-13 14:14 - Brett Patterson

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version: 5.0.0

Resolution: Fixed

Description

| have developed a plugin called "redmine_custom_field_hints" which seems that it may lend itself to the core as a nice feature.

While there is the option to specify a default value for custom options, there is no way to provide a static "hint" which disappears
when the user focuses the input and reappears if the input is empty when blurred.

This module only applies to issue custom fields; however, it can easily be expanded to all other custom field types. It will only work
with "string", "text", and "date" input types.

This feature "push" was requested by cforce

Plugin Repository: https:/github.com/bpat1434/redmine_custom_field_hints

Related issues:
Related to Redmine - Feature #15699: Description for custom fields Closed

Associated revisions

Revision 21459 - 2022-03-17 12:50 - Go MAEDA

Use a variable to reference a CustomField object (#14275).

Patch by Go MAEDA.

Revision 21460 - 2022-03-17 12:52 - Go MAEDA

Show a custom field description as a placeholder (#14275).

Patch by Go MAEDA.

History

#1 - 2013-06-14 00:25 - Terence Mill

+1 for core feature
#2 - 2013-09-26 13:32 - Terence Mill
Please take this feature into accoutn for next release, its a low hangig fruit and very usefull. Online helps/hints makes every system much more

usable..

#3 - 2019-05-03 09:46 - Go MAEDA
- Related to Feature #15699: Description for custom fields added

#4 - 2020-05-06 16:56 - Go MAEDA
- Category changed from Ul to Custom fields

#5 - 2021-05-13 17:32 - Go MAEDA
- File 14275.patch added
- File placeholder.png added

The attached patch adds a feature very similar to the plugin. Instead of
https://github.com/bpat1434/redmine_custom_field_hints/issues/1
https://github.com/bpat1434/redmine_custom_field_hints

to show the custom field's description as a placeholder. Instead of "Hint Text" column added by the plugin, it uses the custom field's description as a

placeholder text.

Float field | input some float value

aaa foo
bar
baz

#6 - 2021-05-24 03:51 - Go MAEDA

- Target version set to Candidate for next major release

#7 - 2021-05-30 07:26 - Go MAEDA
- File 0001-Use-a-variable-to-reference-a-CustomField-object.patch added

- File 0002-Show-a-custom-field-description-as-a-placeholder.patch added

Split the patch into two parts:

e 0001-Use-a-variable-to-reference-a-CustomField-object.patch: code cleanup
e 0002-Show-a-custom-field-description-as-a-placeholder.patch: implements the feature

#8 - 2021-06-07 11:12 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#9 - 2022-03-17 12:54 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patches.

Now the description of a custom field is shown as a placeholder.

Float field | Input some float value
aaa foo
bar
baz
Files
14275.patch 2.58 KB 2021-05-13 Go MAEDA
placeholder.png 18.3 KB 2021-05-13 Go MAEDA
0001-Use-a-variable-to-reference-a-CustomField-object.patch 1.33 KB 2021-05-30 Go MAEDA
0002-Show-a-custom-field-description-as-a-placeholder.patch 2.55 KB 2021-05-30 Go MAEDA
